{    var   : }
{ RLB, RUB, M }
Unit aeh3z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AER7E_p, AER4E_p, AER14E_p, AER6E_p, UTAE10_p;

procedure aeh3z(N :Integer; var AR :Array of Extended;
                var AI :Array of Extended; var VR :Array of Extended;
                var VI :Array of Extended; var EV :Array of Extended;
                var RLB :Extended; var RUB :Extended; MM :Integer;
                var M :Integer; var IRAB1 :Array of Integer;
                var RAB1 :Array of Extended; var RAB2 :Array of Extended;
                var IERR :Integer);

implementation

procedure aeh3z(N :Integer; var AR :Array of Extended;
                var AI :Array of Extended; var VR :Array of Extended;
                var VI :Array of Extended; var EV :Array of Extended;
                var RLB :Extended; var RUB :Extended; MM :Integer;
                var M :Integer; var IRAB1 :Array of Integer;
                var RAB1 :Array of Extended; var RAB2 :Array of Extended;
                var IERR :Integer);
var
N1,N2,N3,N4,N5,N6,N7 :Integer;
EPS1 :Extended;
label
_1;
begin
N1 := N+1;
N2 := N1+N;
N3 := N2+N;
N4 := N3+N;
N5 := N4+N;
N6 := N5+N;
N7 := N6+N;
AER7E(N,N,AR,AI,RAB2,RAB2[N1-1],RAB2[N2-1],RAB1);
EPS1 := 0.0e0;
AER4E(N,EPS1,RAB2,RAB2[N1-1],RAB2[N2-1],RLB,RUB,MM,M,
     EV,IRAB1,IERR,RAB2[N3-1],RAB2[N4-1]);
if ( IERR <> 0 )
 then goto _1;
AER14E(N,N,RAB2,RAB2[N1-1],RAB2[N2-1],M,EV,IRAB1,VR,
     IERR,RAB2[N3-1],RAB2[N4-1],RAB2[N5-1],RAB2[N6-1],RAB2[N7-1]);
if ( IERR <> 0 )
 then goto _1;
AER6E(N,N,AR,AI,RAB1,M,VR,VI);
_1:
if ( IERR <> 0 )
 then UTAE10(IERR,N,18);
end;

end.
